commit:     3c2147ee87b9a47fdfd125701e625b4e98f961a8
Author:     YiyangWu <xgreenlandforwyy <AT> gmail <DOT> com>
AuthorDate: Thu Jan 13 12:28:40 2022 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Jan 30 08:52:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c2147ee

sci-libs/hipBLAS: ROCm BLAS marshalling library

hipBLAS is a front end of rocBLAS, which is the dependency of some ROCm
GPGPU package like cupy.

Closes: https://github.com/gentoo/gentoo/pull/23771
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 sci-libs/hipBLAS/Manifest             |  1 +
 sci-libs/hipBLAS/hipBLAS-4.3.0.ebuild | 42 +++++++++++++++++++++++++++++++++++
 sci-libs/hipBLAS/metadata.xml         | 15 +++++++++++++
 3 files changed, 58 insertions(+)

diff --git a/sci-libs/hipBLAS/Manifest b/sci-libs/hipBLAS/Manifest
new file mode 100644
index 000000000000..75b7fc7f154b
--- /dev/null
+++ b/sci-libs/hipBLAS/Manifest
@@ -0,0 +1 @@
+DIST hipBLAS-4.3.0.tar.gz 428016 BLAKE2B 
5a86f7a59aaed9cd6219779546135080f4c583a010f47b902f25545046c50451cd48e570b58c9c3721d735f3ab54295d5eddc61fecc01236e960e37fc87761c8
 SHA512 
128ee56d6db3d19c83b20fbc315eae8de6ee52aae6c2c5727351bab76c14d9131318cd49a6bcc724f5ec73485783058618bca4dddf96b05cd2f3a772c04f469f

diff --git a/sci-libs/hipBLAS/hipBLAS-4.3.0.ebuild 
b/sci-libs/hipBLAS/hipBLAS-4.3.0.ebuild
new file mode 100644
index 000000000000..b9ec322edf25
--- /dev/null
+++ b/sci-libs/hipBLAS/hipBLAS-4.3.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+DESCRIPTION="ROCm BLAS marshalling library"
+HOMEPAGE="https://github.com/ROCmSoftwarePlatform/hipBLAS";
+SRC_URI="https://github.com/ROCmSoftwarePlatform/hipBLAS/archive/rocm-${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0/$(ver_cut 1-2)"
+
+RDEPEND="dev-util/hip:${SLOT}
+       sci-libs/rocBLAS:${SLOT}
+       sci-libs/rocSOLVER:${SLOT}"
+DEPEND="${RDPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/hipBLAS-rocm-${PV}"
+
+src_prepare() {
+       sed -e 
"s:<INSTALL_INTERFACE\:include:<INSTALL_INTERFACE\:include/hipblas/:" -i 
library/src/CMakeLists.txt || die
+       sed -e "/PREFIX hipblas/d" -i library/src/CMakeLists.txt || die
+       sed -e "/rocm_install_symlink_subdir( hipblas )/d" -i 
library/src/CMakeLists.txt || die
+       sed -e "s:hipblas/include:include/hipblas:" -i 
library/src/CMakeLists.txt || die
+
+       eapply_user
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+               -DCMAKE_SKIP_RPATH=ON
+               -DBUILD_CLIENTS_TESTS=OFF  # currently hipBLAS is a wrapper of 
rocBLAS which has tests, so no need to perform test here
+               -DBUILD_CLIENTS_BENCHMARKS=OFF
+       )
+
+       cmake_src_configure
+}

diff --git a/sci-libs/hipBLAS/metadata.xml b/sci-libs/hipBLAS/metadata.xml
new file mode 100644
index 000000000000..e74d41fd607c
--- /dev/null
+++ b/sci-libs/hipBLAS/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+  </maintainer>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Wilfried Holzke</name>
+  </maintainer>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Yiyang Wu</name>
+  </maintainer>
+</pkgmetadata>

Reply via email to